## lucy 1.20

=== Makefile ===
CC = cc
CFLAGS = -O
LIBS = -lpthread
OBJS = lucy.o qual_trim.o abi.o vector.o splice.o poly.o

all: lucy beep

lucy: $(OBJS)
	rm -f $@
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

beep:
	@echo done!

clean:
	rm -f $(OBJS) lucy

=== lucy-s/Makefile ===
CC = cc
CFLAGS = -O
LIBS = 
OBJS = lucy.o qual_trim.o abi.o vector.o splice.o poly.o

all: lucy beep

lucy: $(OBJS)
	rm -f $@
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

beep:
	@echo done!

clean:
	rm -f $(OBJS) lucy

=== debian/changelog ===
lucy (1.20-6) unstable; urgency=medium

  * gcc-15.patch: new: fix build failure with gcc 15. (Closes: #1097321)
  * d/patches/*: normalise headers and forward patches.
  * d/control: declare compliance to standards version 4.7.2.
  * d/u/metadata: file bug reports and repository locations.

 -- Étienne Mollier <emollier@debian.org>  Sat, 01 Mar 2025 16:42:42 +0100

lucy (1.20-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: bump to debhelper compat 13.
  * gcc-14.patch: new: fix implicit types. (Closes: #1075241)

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Jul 2024 11:38:49 +0200

lucy (1.20-4) unstable; urgency=medium

  * Team Upload.
  * Remove myself from Uploaders.
  * Add patch to fix FTBFS with
    implicit-function-declaration (Closes: #1066324)
  * Add patch to remove .PU macro rather than trying
    to hack it in d/rules (Closes: #1047296)

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 24 Mar 2024 22:18:20 +0530

lucy (1.20-3) unstable; urgency=medium

  * Remove redundant files
  * Add patch to fix spelling mistakes

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 19 Apr 2020 21:43:05 +0530

lucy (1.20-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata

  [ Nilesh Patra ]
  * Add autopkgtests
  * Remove unrecognized PU macro
  * Bump standards version to 4.5.0
  * Drop compat, use debhelper-compat v12
  * Add 'Rules-Requires-Root:no'
  * Fix with cme

  [ Andreas Tille ]
  * d/watch: Drop redundant uupdate
  * Add salsa-ci file (routine-update)
  * Propagate hardening options in Makefile

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 19 Apr 2020 18:18:57 +0530

lucy (1.20-1) unstable; urgency=medium

  * Initial release (Closes: #908110)

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Sep 2018 14:15:32 +0200

=== debian/control ===
Source: lucy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/lucy
Vcs-Git: https://salsa.debian.org/med-team/lucy.git
Homepage: https://lucy.sourceforge.net
Rules-Requires-Root: no

Package: lucy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: DNA sequence quality and vector trimming tool
 Lucy is a utility that prepares raw DNA sequence fragments for sequence
 assembly, possibly using the TIGR Assembler. The cleanup process includes
 quality assessment, confidence reassurance, vector trimming and vector
 removal. The primary advantage of Lucy over other similar utilities is
 that it is a fully integrated, stand alone program.
 .
 Lucy was designed and written at The Institute for Genomic Research
 (TIGR, now the J. Craig Venter Institute), and it has been used here for
 several years to clean sequence data from automated DNA sequencers prior
 to sequence assembly and other downstream uses. The quality trimming
 portion of lucy makes use of phred quality scores, such as those produced
 by many automated sequencers based on the Sanger sequencing method. As
 such, lucy’s quality trimming may not be appropriate for sequence
 data produced by some of the new “next-generation” sequencers.

=== debian/watch ===
version=4
opts="uversionmangle=s%^.*lucy%%" http://sf.net/lucy/ lucy(.*)\.tar\.gz
